stages:
  - pages

variables:
  TOKEN: ${COSCINE_API_TOKEN}
  PROJECT: ${COSCINE_PROJECT_NAME}
  RESOURCE: ${COSCINE_RESOURCE_NAME}

pages:
  stage: pages
  tags: [ "runner:docker" ]
  image: "python"
  before_script:
     - python -V
     - apt install -y git
  script:
    - git clone https://git.rwth-aachen.de/coscine/community-features/coscine-static-site-generator.git
    - cd ./coscine-static-site-generator/
    - pip install -r requirements.txt
    - python -m src -t "${TOKEN}" -p "${PROJECT}" -r "${RESOURCE}" -y -o ../public
  artifacts:
    paths:
      - public
    expire_in: 24 hours
  only:
    - web
    - schedules
